<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/print_data_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>06/30/86  print_data_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in print_data_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>:Entry: print_data_: 06/30/86  print_data_
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>Function: formats and prints the output of a PL/I put data statement.
<span id="L11" class="LineNr"> 11 </span>The output switch for printing may be specified, as well as various
<span id="L12" class="LineNr"> 12 </span>formatting options.
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Syntax:
<span id="L15" class="LineNr"> 15 </span>declare print_data_ entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> varying<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L16" class="LineNr"> 16 </span>call print_data_ <span class="textRainbow_lv0_p0">(</span>put_data_string<span class="textRainbow_lv0_o0">,</span> print_data_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Arguments:
<span id="L20" class="LineNr"> 20 </span>put_data_string
<span id="L21" class="LineNr"> 21 </span>   is the output of a PL/I put data statement.  Usually obtained as
<span id="L22" class="LineNr"> 22 </span>   follows:  put data <span class="textRainbow_lv0_p0">(</span>xxx<span class="textRainbow_lv0_p0">)</span> string <span class="textRainbow_lv0_p0">(</span>put_data_string<span class="textRainbow_lv0_p0">)</span>, where xxx is a
<span id="L23" class="LineNr"> 23 </span>   structure whose values are to be formatted and printed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L24" class="LineNr"> 24 </span>print_data_info_ptr
<span id="L25" class="LineNr"> 25 </span>   is a pointer to a structure which describes the formatting options
<span id="L26" class="LineNr"> 26 </span>   to be used for printing the input.  See Notes below.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L27" class="LineNr"> 27 </span>code
<span id="L28" class="LineNr"> 28 </span>   is a system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr"> 29 </span>
<span id="L30" class="LineNr"> 30 </span>
<span id="L31" class="LineNr"> 31 </span>:Entry: rs: 06/30/86  rs
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>Function: formats the output of a PL/I put data statement.  The result
<span id="L34" class="LineNr"> 34 </span>is returned in a string.  Various formatting options may be specified.
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>Syntax:
<span id="L37" class="LineNr"> 37 </span>declare print_data_$rs entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> varying<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> varying<span class="textRainbow_lv0_o0">,</span>
<span id="L38" class="LineNr"> 38 </span>                              fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L39" class="LineNr"> 39 </span>call print_data_$rs <span class="textRainbow_lv0_p0">(</span>put_data_string<span class="textRainbow_lv0_o0">,</span> print_data_info_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L40" class="LineNr"> 40 </span>                              return_string<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>Arguments:
<span id="L44" class="LineNr"> 44 </span>put_data_string
<span id="L45" class="LineNr"> 45 </span>   is the output of a PL/I put data statement.  Usually obtained as
<span id="L46" class="LineNr"> 46 </span>   follows:  put data <span class="textRainbow_lv0_p0">(</span>xxx<span class="textRainbow_lv0_p0">)</span> string <span class="textRainbow_lv0_p0">(</span>put_data_string<span class="textRainbow_lv0_p0">)</span>, where xxx is a
<span id="L47" class="LineNr"> 47 </span>   structure whose values are to be formatted and printed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L48" class="LineNr"> 48 </span>print_data_info_ptr
<span id="L49" class="LineNr"> 49 </span>   is a pointer to a structure which describes the formatting options
<span id="L50" class="LineNr"> 50 </span>   to be used for printing the input.  See Notes below.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L51" class="LineNr"> 51 </span>return_string
<span id="L52" class="LineNr"> 52 </span>   is a string in which the output is returned.  <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>
<span id="L53" class="LineNr"> 53 </span>code
<span id="L54" class="LineNr"> 54 </span>   is a system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Notes: The include file pointed to by print_data_info_ptr is declared
<span id="L58" class="LineNr"> 58 </span>in print_data_info.incl.pl1 as follows:
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>dcl print_data_info_version_1 fixed bin options <span class="textRainbow_lv0_p0">(</span>constant<span class="textRainbow_lv0_p0">)</span> init <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr"> 61 </span>                                        internal static;
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>dcl       print_data_info_ptr           ptr;
<span id="L64" class="LineNr"> 64 </span>dcl       1 print_data_info             based <span class="textRainbow_lv0_p0">(</span>print_data_info_ptr<span class="textRainbow_lv0_p0">)</span>,
<span id="L65" class="LineNr"> 65 </span>            2 version                   fixed bin,
<span id="L66" class="LineNr"> 66 </span>            2 indentation               fixed bin,
<span id="L67" class="LineNr"> 67 </span>            2 value_column              fixed bin,
<span id="L68" class="LineNr"> 68 </span>            2 output_switch             ptr,
<span id="L69" class="LineNr"> 69 </span>            2 flags,
<span id="L70" class="LineNr"> 70 </span>              3 octal                   bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L71" class="LineNr"> 71 </span>              3 hex                     bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unal,
<span id="L72" class="LineNr"> 72 </span>              3 pad                     bit <span class="textRainbow_lv0_p0">(</span>34<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L73" class="LineNr"> 73 </span>            2 intervals                 char <span class="textRainbow_lv0_p0">(</span>256<span class="textRainbow_lv0_p0">)</span> varying;
<span id="L74" class="LineNr"> 74 </span>
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>where:
<span id="L77" class="LineNr"> 77 </span>
<span id="L78" class="LineNr"> 78 </span>version
<span id="L79" class="LineNr"> 79 </span>   is the version of this structure.  It should be set to
<span id="L80" class="LineNr"> 80 </span>   print_data_info_version_1.
<span id="L81" class="LineNr"> 81 </span>indentation
<span id="L82" class="LineNr"> 82 </span>   is the number of spaces by which structure level names are indented.
<span id="L83" class="LineNr"> 83 </span>value_column
<span id="L84" class="LineNr"> 84 </span>   is the column in which the printing of values begins.  The structure
<span id="L85" class="LineNr"> 85 </span>   names are indented, but the values all begin in the same column, so
<span id="L86" class="LineNr"> 86 </span>   this value should allow a reasonable amount of space for structure
<span id="L87" class="LineNr"> 87 </span>   names so they don't overlap the values column.
<span id="L88" class="LineNr"> 88 </span>output_switch
<span id="L89" class="LineNr"> 89 </span>   is the output switch to use.  This is ignored for the rs entry.  If
<span id="L90" class="LineNr"> 90 </span>   it is null then user_output is used.
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>
<span id="L93" class="LineNr"> 93 </span>octal
<span id="L94" class="LineNr"> 94 </span>   specifies that bit string values should be converted to octal.  This
<span id="L95" class="LineNr"> 95 </span>   is incompatible with the hex flag.  The bit string value must be an
<span id="L96" class="LineNr"> 96 </span>   integral multiple of 3 bits long in order to be converted, otherwise
<span id="L97" class="LineNr"> 97 </span>   it is not converted.
<span id="L98" class="LineNr"> 98 </span>hex
<span id="L99" class="LineNr"> 99 </span>   specifies that bit string values should be converted to hexadecimal.
<span id="L100" class="LineNr">100 </span>   This is incompatible with the octal flag.  The bit string value must
<span id="L101" class="LineNr">101 </span>   be an integral multiple of 4 bits long in order to be converted,
<span id="L102" class="LineNr">102 </span>   otherwise it is not converted.
<span id="L103" class="LineNr">103 </span>intervals
<span id="L104" class="LineNr">104 </span>   is not currently supported and must be set to the null string <span class="textRainbow_lv0_p0">(</span>&quot;&quot;<span class="textRainbow_lv0_p0">)</span>.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
